웹훅
구독 생성
POST/api/v1/partner/merchants/{merchantId}/webhooks
새로운 웹훅 구독을 생성합니다.merchantId string
필수endpointUrl string
필수eventTypes array
필수
{
"endpointUrl": "https://mysite.com/callback",
"eventTypes": ["PAYMENT_COMPLETED"]
}
id string
필수endpointUrl string
필수eventTypes array
필수isActive boolean
필수createdAt string (ISO 8601)
필수
{
"code": "CMN_0000",
"message": "성공",
"data": {
"id": "wsub_abc123",
"endpointUrl": "https://mysite.com/callback",
"eventTypes": ["PAYMENT_COMPLETED"],
"isActive": true,
"createdAt": "2026-02-04T10:00:00"
}
}
구독 목록 조회
GET/api/v1/partner/merchants/{merchantId}/webhooks
가맹점에 등록된 웹훅 구독 목록을 조회합니다.merchantId string
필수
curl -X GET https://link.eximbay.com/api/v1/partner/merchants/{merchantId}/webhooks \
-H "Authorization: Bearer eyJhbGciOi..."
id string
필수endpointUrl string
필수eventTypes array
필수isActive boolean
필수createdAt string (ISO 8601)
필수
{
"code": "CMN_0000",
"data": [
{
"id": "wsub_abc123",
"endpointUrl": "https://mysite.com/callback",
"eventTypes": ["PAYMENT_COMPLETED"],
"isActive": true,
"createdAt": "2026-02-04T10:00:00"
}
]
}
구독 수정
PUT/api/v1/partner/merchants/{merchantId}/webhooks/{publicId}
웹훅 설정을 수정합니다.merchantId string
필수publicId string
필수endpointUrl string
필수eventTypes array
필수isActive boolean
{
"endpointUrl": "https://mysite.com/new-callback",
"eventTypes": ["PAYMENT_COMPLETED"],
"isActive": true
}
id string
필수endpointUrl string
필수eventTypes array
필수isActive boolean
필수createdAt string (ISO 8601)
필수
{
"code": "CMN_0000",
"message": "성공",
"data": {
"id": "wsub_abc123",
"endpointUrl": "https://mysite.com/new-callback",
"eventTypes": ["PAYMENT_COMPLETED"],
"isActive": true,
"createdAt": "2026-02-04T10:00:00"
}
}
구독 삭제
DELETE/api/v1/partner/merchants/{merchantId}/webhooks/{publicId}
웹훅 구독을 삭제합니다.merchantId string
필수publicId string
필수
curl -X DELETE https://link.eximbay.com/api/v1/partner/merchants/{merchantId}/webhooks/{publicId} \
-H "Authorization: Bearer eyJhbGciOi..."
{
"code": "CMN_0000",
"message": "성공"
}
웹훅 페이로드
id string
필수eventType string
필수timestamp string(ISO 8601)
필수data object
필수PAYMENT_COMPLETED
invoice object* 인보이스 정보입니다.
invoiceId string
invoiceNumber string
status string
payment object* 결제 정보입니다.
transactionId string
amount string
currency string
rescode string
resmsg string
{
"id": "wevt_3aabc75328174dc4...",
"eventType": "PAYMENT_COMPLETED",
"timestamp": "2026-04-06T06:30:08.548Z",
"data": {
"invoice": {
"invoiceId": "pinv_15b568b5cae4...",
"invoiceNumber": "INV1ad8e89d9b2f",
"status": "COMPLETED"
},
"payment": {
"transactionId": "1A9D23DE54W000016...",
"amount": "89000.00",
"currency": "KRW",
"rescode": "0000",
"resmsg": "Success."
}
}
}